<testsuites>
  <!--Report is generated by Rally 3.1.1~dev5 at 2020-05-29T04:02:46.805194-->
  <testsuite errors="0" failures="0" id="2bae8b19-5603-4aa7-b1dd-175f30d4f9b0" skipped="0" tests="6" time="51.00" timestamp="2020-05-29T02:19:39">
    <testcase classname="Authenticate" id="4693e2ca-805e-483e-a4b4-f41d81c61ab0" name="keystone" time="7.79" timestamp="2020-05-29T02:19:43" />
    <testcase classname="Authenticate" id="cc25c0f8-9f09-4ac4-9a7d-3bf51fb24b7f" name="validate_cinder" time="7.44" timestamp="2020-05-29T02:19:51" />
    <testcase classname="Authenticate" id="85191ab3-12d0-4110-aa0a-b932175545b2" name="validate_glance" time="8.43" timestamp="2020-05-29T02:19:59" />
    <testcase classname="Authenticate" id="f107dd05-c7fe-44aa-a584-368983988582" name="validate_heat" time="5.47" timestamp="2020-05-29T02:20:09" />
    <testcase classname="Authenticate" id="7f86cd8d-aba4-45fd-96cb-974cbd618039" name="validate_neutron" time="6.86" timestamp="2020-05-29T02:20:15" />
    <testcase classname="Authenticate" id="b9118b78-aebd-483f-ad1b-70e822541787" name="validate_nova" time="5.72" timestamp="2020-05-29T02:20:24" />
  </testsuite>
  <testsuite errors="0" failures="0" id="5f119541-d361-4475-be72-522d8faf8eb7" skipped="0" tests="8" time="361.00" timestamp="2020-05-29T02:20:40">
    <testcase classname="GlanceImages" id="6ff87520-741d-43a6-b6f8-5b08e91362b6" name="create_and_delete_image" time="15.19" timestamp="2020-05-29T02:20:56" />
    <testcase classname="GlanceImages" id="b3e767a1-5b5c-4335-b0b2-5a316037972a" name="create_and_list_image" time="16.86" timestamp="2020-05-29T02:21:13" />
    <testcase classname="GlanceImages" id="cab03ec4-5003-4318-8758-2cdb3fc755d2" name="list_images" time="5.63" timestamp="2020-05-29T02:21:31" />
    <testcase classname="GlanceImages" id="2ea9469f-c51d-4506-b980-94d0fe90b567" name="create_image_and_boot_instances" time="200.79" timestamp="2020-05-29T02:21:37" />
    <testcase classname="GlanceImages" id="9b18e117-c958-4b93-bc96-38b8e8d10e91" name="create_and_deactivate_image" time="22.02" timestamp="2020-05-29T02:24:58" />
    <testcase classname="GlanceImages" id="c9216593-e936-48ea-9944-e06a1923602b" name="create_and_download_image" time="26.77" timestamp="2020-05-29T02:25:20" />
    <testcase classname="GlanceImages" id="277b7a8b-eceb-45bb-9958-f9dce5d3c97e" name="create_and_get_image" time="25.13" timestamp="2020-05-29T02:25:49" />
    <testcase classname="GlanceImages" id="5aa849af-8823-4c90-813b-aa5ef09f997d" name="create_and_update_image" time="25.20" timestamp="2020-05-29T02:26:15" />
  </testsuite>
  <testsuite errors="0" failures="0" id="5d759934-ef5b-464b-b1be-37aa50436c91" skipped="0" tests="24" time="1234.00" timestamp="2020-05-29T02:26:53">
    <testcase classname="CinderVolumes" id="74b13601-dd30-48c8-ad42-2641374c4d46" name="create_and_attach_volume" time="195.07" timestamp="2020-05-29T02:27:04" />
    <testcase classname="CinderVolumes" id="3b133859-edec-4ced-9645-95af6e2da0b4" name="create_and_list_snapshots" time="36.65" timestamp="2020-05-29T02:30:21" />
    <testcase classname="CinderVolumes" id="1a93ae3f-b70c-4104-b22d-1bd9aaa12e76" name="create_and_list_volume" time="28.64" timestamp="2020-05-29T02:30:59" />
    <testcase classname="CinderVolumes" id="749ca9d9-61f2-4aa6-baea-307b99cbaaf0" name="create_and_list_volume" time="18.55" timestamp="2020-05-29T02:31:30" />
    <testcase classname="CinderVolumes" id="f152f68d-b5ed-4f80-89a6-b4a0f76e76cf" name="create_and_upload_volume_to_image" time="69.39" timestamp="2020-05-29T02:31:50" />
    <testcase classname="CinderVolumes" id="8afb6000-3ef0-4059-944b-d98eb448d038" name="create_nested_snapshots_and_attach_volume" time="275.27" timestamp="2020-05-29T02:33:01" />
    <testcase classname="CinderVolumes" id="60d603c2-727d-4357-809b-21c0c314e8a8" name="create_snapshot_and_attach_volume" time="201.88" timestamp="2020-05-29T02:37:38" />
    <testcase classname="CinderVolumes" id="52a7e027-7eba-4858-99aa-5df238bc4f68" name="create_volume" time="28.27" timestamp="2020-05-29T02:41:01" />
    <testcase classname="CinderVolumes" id="1d0be3b6-8abe-44ef-84eb-ae43f58f4e46" name="create_volume" time="18.60" timestamp="2020-05-29T02:41:31" />
    <testcase classname="CinderVolumes" id="8ef387c8-30ba-47c4-a4bc-b4c595a2d074" name="list_volumes" time="40.72" timestamp="2020-05-29T02:41:52" />
    <testcase classname="CinderVolumes" id="21142512-ec4a-4792-8f4d-b339e8400359" name="create_and_delete_snapshot" time="38.59" timestamp="2020-05-29T02:42:34" />
    <testcase classname="CinderVolumes" id="59b78b99-06c1-4512-afe2-02d8ddf729a2" name="create_and_delete_volume" time="23.83" timestamp="2020-05-29T02:43:14" />
    <testcase classname="CinderVolumes" id="71bcd387-0ed1-4afa-9385-01fd51333268" name="create_and_delete_volume" time="28.43" timestamp="2020-05-29T02:43:38" />
    <testcase classname="CinderVolumes" id="d9c74450-f6a1-4bb3-a0aa-90dce371046f" name="create_and_delete_volume" time="20.87" timestamp="2020-05-29T02:44:09" />
    <testcase classname="CinderVolumes" id="42dae496-8ab2-428b-87fb-4b1116d9532b" name="create_and_extend_volume" time="29.69" timestamp="2020-05-29T02:44:31" />
    <testcase classname="CinderVolumes" id="f5714226-cd36-460a-bcc1-c9cd0d31e3ca" name="create_from_volume_and_delete_volume" time="39.27" timestamp="2020-05-29T02:45:01" />
    <testcase classname="CinderQos" id="e608303e-690c-47f7-b1bc-3a34ff2b2bff" name="create_and_get_qos" time="8.55" timestamp="2020-05-29T02:45:42" />
    <testcase classname="CinderQos" id="47abd54d-ed9a-407b-b99d-a1f4551ab57b" name="create_and_list_qos" time="8.96" timestamp="2020-05-29T02:45:52" />
    <testcase classname="CinderQos" id="252618a8-662a-47ec-bb6b-705ace4aa284" name="create_and_set_qos" time="15.62" timestamp="2020-05-29T02:46:02" />
    <testcase classname="CinderVolumeTypes" id="e7e1fa09-2d28-471d-acdc-a22ef2d103a4" name="create_and_get_volume_type" time="8.32" timestamp="2020-05-29T02:46:18" />
    <testcase classname="CinderVolumeTypes" id="29dfdc95-c4f8-4086-98e7-49df81efc3da" name="create_and_list_volume_types" time="10.56" timestamp="2020-05-29T02:46:28" />
    <testcase classname="CinderVolumeTypes" id="412d1ee8-93a5-41c3-b091-936629531744" name="create_and_update_volume_type" time="11.86" timestamp="2020-05-29T02:46:40" />
    <testcase classname="CinderVolumeTypes" id="0a9813bc-9a6d-40b7-9ece-976b0b41e30f" name="create_volume_type_and_encryption_type" time="17.17" timestamp="2020-05-29T02:46:53" />
    <testcase classname="CinderVolumeTypes" id="2d499ae9-59de-424d-92c8-93f62c57006b" name="create_volume_type_add_and_list_type_access" time="16.00" timestamp="2020-05-29T02:47:11" />
  </testsuite>
  <testsuite errors="0" failures="0" id="e0e25a8c-5762-4d72-80b9-fdd8e5edf34e" skipped="0" tests="13" time="704.00" timestamp="2020-05-29T02:47:39">
    <testcase classname="HeatStacks" id="fc5bf7d6-381d-4a29-b518-77e7f7593bc7" name="create_and_delete_stack" time="33.01" timestamp="2020-05-29T02:47:59" />
    <testcase classname="HeatStacks" id="ef6ad620-2db8-44e4-87e1-1f92cf0fae0f" name="create_and_delete_stack" time="231.23" timestamp="2020-05-29T02:48:34" />
    <testcase classname="HeatStacks" id="5a70cf45-756d-4b77-895f-919da90ab63e" name="create_and_delete_stack" time="102.74" timestamp="2020-05-29T02:52:27" />
    <testcase classname="HeatStacks" id="161dccb4-1594-49ba-89f0-88cf5e943cb3" name="create_and_list_stack" time="20.38" timestamp="2020-05-29T02:54:12" />
    <testcase classname="HeatStacks" id="1b13ea55-af37-47d3-b3fb-229f34bd25d4" name="create_update_delete_stack" time="33.93" timestamp="2020-05-29T02:54:34" />
    <testcase classname="HeatStacks" id="75700a14-542d-4504-af80-6df9d26b879c" name="create_update_delete_stack" time="27.65" timestamp="2020-05-29T02:55:08" />
    <testcase classname="HeatStacks" id="3b43be14-b1fc-4a15-97eb-932c30d9021b" name="create_update_delete_stack" time="44.19" timestamp="2020-05-29T02:55:36" />
    <testcase classname="HeatStacks" id="15c51972-a7c6-423e-a950-2f11fab768c1" name="create_update_delete_stack" time="30.50" timestamp="2020-05-29T02:56:21" />
    <testcase classname="HeatStacks" id="99220f02-9277-41b0-ba43-5b0a5118d21d" name="create_update_delete_stack" time="45.58" timestamp="2020-05-29T02:56:53" />
    <testcase classname="HeatStacks" id="8635d375-5c84-4b89-9520-08964914655b" name="create_update_delete_stack" time="33.30" timestamp="2020-05-29T02:57:40" />
    <testcase classname="HeatStacks" id="21dd2f95-2d68-465c-971f-bccaa0c6d4d7" name="create_check_delete_stack" time="27.55" timestamp="2020-05-29T02:58:14" />
    <testcase classname="HeatStacks" id="de1323aa-874a-4ce3-8aee-544c23e2b562" name="create_suspend_resume_delete_stack" time="30.30" timestamp="2020-05-29T02:58:42" />
    <testcase classname="HeatStacks" id="82178502-91f3-4702-98cb-8fdec6704d28" name="list_stacks_and_resources" time="8.06" timestamp="2020-05-29T02:59:14" />
  </testsuite>
  <testsuite errors="0" failures="0" id="f7171958-fe86-443f-b122-8dce820145fc" skipped="0" tests="11" time="136.00" timestamp="2020-05-29T02:59:33">
    <testcase classname="KeystoneBasic" id="8f35d41d-5472-430c-ad26-044fad925f87" name="add_and_remove_user_role" time="9.17" timestamp="2020-05-29T02:59:36" />
    <testcase classname="KeystoneBasic" id="0d8bfb9c-a6ae-47ae-9daa-5dd4e5a28e89" name="create_add_and_list_user_roles" time="9.37" timestamp="2020-05-29T02:59:46" />
    <testcase classname="KeystoneBasic" id="5d8dd503-7f3a-4d1f-9abf-f076ca877e31" name="create_and_list_tenants" time="9.84" timestamp="2020-05-29T02:59:57" />
    <testcase classname="KeystoneBasic" id="3c5783da-1988-41de-8f1b-46fd301668bc" name="create_and_delete_role" time="7.75" timestamp="2020-05-29T03:00:07" />
    <testcase classname="KeystoneBasic" id="1c4b70ed-0bce-4834-af2a-75f43da16989" name="create_and_delete_service" time="6.89" timestamp="2020-05-29T03:00:15" />
    <testcase classname="KeystoneBasic" id="6de0b999-9cb5-4752-90dc-75eef70a6005" name="get_entities" time="16.03" timestamp="2020-05-29T03:00:23" />
    <testcase classname="KeystoneBasic" id="0667c7ef-500a-40da-bd4d-8d9e55144f5e" name="create_update_and_delete_tenant" time="8.09" timestamp="2020-05-29T03:00:40" />
    <testcase classname="KeystoneBasic" id="1df3f242-323c-4973-af68-10547c9e73be" name="create_user" time="7.42" timestamp="2020-05-29T03:00:50" />
    <testcase classname="KeystoneBasic" id="16c4c334-c25b-4278-9282-8604591add91" name="create_tenant" time="7.52" timestamp="2020-05-29T03:00:58" />
    <testcase classname="KeystoneBasic" id="2c0e576c-1340-4db3-911e-145f7f83eeb6" name="create_and_list_users" time="7.67" timestamp="2020-05-29T03:01:06" />
    <testcase classname="KeystoneBasic" id="0c1d1d49-66d1-4412-8bf5-ff59aa79480e" name="create_tenant_with_users" time="33.73" timestamp="2020-05-29T03:01:14" />
  </testsuite>
  <testsuite errors="0" failures="0" id="87328d30-4c96-4445-9a2e-cefdb1359d53" skipped="0" tests="16" time="588.00" timestamp="2020-05-29T03:01:59">
    <testcase classname="NeutronNetworks" id="e40e0676-903e-4e8c-a6aa-3a919aa27f05" name="create_and_update_networks" time="20.01" timestamp="2020-05-29T03:02:03" />
    <testcase classname="NeutronNetworks" id="f16d6c9f-6e8b-4c55-89c2-27ee9bda7a3d" name="create_and_update_ports" time="28.00" timestamp="2020-05-29T03:02:23" />
    <testcase classname="NeutronNetworks" id="9816a5ee-5c70-40ea-a0df-0bd0caf63bce" name="create_and_update_routers" time="54.94" timestamp="2020-05-29T03:02:51" />
    <testcase classname="NeutronNetworks" id="310c7b25-bc90-48a6-afdc-66a50bcb6739" name="create_and_update_subnets" time="28.46" timestamp="2020-05-29T03:03:48" />
    <testcase classname="NeutronNetworks" id="b2c08b18-0361-41d7-adb4-31fad2dd5aab" name="create_and_delete_networks" time="16.11" timestamp="2020-05-29T03:04:18" />
    <testcase classname="NeutronNetworks" id="30d857b3-499b-453e-b66f-4aaf03401249" name="create_and_delete_ports" time="26.59" timestamp="2020-05-29T03:04:36" />
    <testcase classname="NeutronNetworks" id="b288da95-a55f-4e25-942d-a793d0529b4f" name="create_and_delete_routers" time="47.50" timestamp="2020-05-29T03:05:05" />
    <testcase classname="NeutronNetworks" id="cab317d7-dfe2-42b6-a483-c2bb8c2b3c9e" name="create_and_delete_subnets" time="22.32" timestamp="2020-05-29T03:05:53" />
    <testcase classname="NeutronNetworks" id="c2e41933-a5d8-446c-b170-16b930509afa" name="create_and_list_networks" time="19.93" timestamp="2020-05-29T03:06:17" />
    <testcase classname="NeutronNetworks" id="3f4fb9c0-23de-4ccb-b46b-e5077034c31f" name="create_and_list_ports" time="25.78" timestamp="2020-05-29T03:06:38" />
    <testcase classname="NeutronNetworks" id="9b039b82-8de2-4164-99fe-70ab1d80a380" name="create_and_list_routers" time="55.90" timestamp="2020-05-29T03:07:04" />
    <testcase classname="NeutronNetworks" id="77ef25ec-52f4-4723-a843-768ab09e9db9" name="create_and_list_subnets" time="27.09" timestamp="2020-05-29T03:08:00" />
    <testcase classname="NeutronNetworks" id="c963b55e-d257-4793-9c0a-f842e9171e38" name="set_and_clear_router_gateway" time="38.39" timestamp="2020-05-29T03:08:29" />
    <testcase classname="NeutronNetworks" id="1a5b83f9-5e4c-4deb-bfdc-28c488a26bd4" name="create_and_show_ports" time="35.04" timestamp="2020-05-29T03:09:09" />
    <testcase classname="NeutronNetworks" id="a6837ed8-2135-4443-a322-509ae2d07134" name="create_and_show_routers" time="86.38" timestamp="2020-05-29T03:09:45" />
    <testcase classname="NeutronNetworks" id="66336230-489b-4dcf-8e6f-136311fb51a6" name="create_and_show_subnets" time="33.48" timestamp="2020-05-29T03:11:12" />
  </testsuite>
  <testsuite errors="0" failures="0" id="84fceaa3-334f-4553-ad31-6bdc068daaa6" skipped="0" tests="26" time="2900.00" timestamp="2020-05-29T03:11:57">
    <testcase classname="NovaKeypair" id="ce90a9c1-137d-4a66-96a5-7bc69f400555" name="create_and_delete_keypair" time="8.41" timestamp="2020-05-29T03:12:13" />
    <testcase classname="NovaKeypair" id="a12c0802-6fe7-4844-8f6a-d6ffb3336bf5" name="create_and_list_keypairs" time="10.35" timestamp="2020-05-29T03:12:23" />
    <testcase classname="NovaServers" id="69a3b10d-2c33-46c4-bd6c-f8e6b8c5e322" name="boot_and_bounce_server" time="542.82" timestamp="2020-05-29T03:12:36" />
    <testcase classname="NovaServers" id="e604597b-0f8d-4e56-a331-045873e6c864" name="boot_and_list_server" time="90.60" timestamp="2020-05-29T03:21:40" />
    <testcase classname="NovaServers" id="17a81a3b-f2af-435e-b161-9d7f75cbe7a6" name="boot_and_rebuild_server" time="114.21" timestamp="2020-05-29T03:23:13" />
    <testcase classname="NovaServers" id="bfbf5897-43bb-4d38-bc1b-ca3f562f1932" name="snapshot_server" time="247.53" timestamp="2020-05-29T03:25:08" />
    <testcase classname="NovaServers" id="6c4a9b30-231b-4ba0-95a0-49baf254e735" name="boot_server_from_volume" time="77.22" timestamp="2020-05-29T03:29:17" />
    <testcase classname="NovaServers" id="2ee29f00-7a9f-4ebf-ae20-5f87efe9835a" name="boot_server" time="56.99" timestamp="2020-05-29T03:30:35" />
    <testcase classname="NovaServers" id="f504ad93-b24f-4023-b113-5fb13660acba" name="list_servers" time="86.49" timestamp="2020-05-29T03:31:34" />
    <testcase classname="NovaServers" id="5a07ff54-c6f3-41bf-ba66-964799bc3698" name="resize_server" time="112.09" timestamp="2020-05-29T03:33:02" />
    <testcase classname="NovaServers" id="40850651-c9aa-4ca4-b9e5-57e01db63eac" name="boot_and_live_migrate_server" time="108.17" timestamp="2020-05-29T03:34:55" />
    <testcase classname="NovaServers" id="98fcaa29-53b4-409e-bd41-b9639d23adbf" name="boot_server_attach_created_volume_and_live_migrate" time="144.88" timestamp="2020-05-29T03:36:44" />
    <testcase classname="NovaServers" id="753c8998-f06a-4ad6-974f-96746b658ed6" name="boot_server_from_volume_and_live_migrate" time="132.94" timestamp="2020-05-29T03:39:11" />
    <testcase classname="NovaKeypair" id="e55d659e-3823-4cd0-9209-7f35a1e2a9e5" name="boot_and_delete_server_with_keypair" time="94.54" timestamp="2020-05-29T03:41:25" />
    <testcase classname="NovaServers" id="563041d8-5995-46f0-b59b-e6ca8e5f6d76" name="boot_server_from_volume_and_delete" time="109.37" timestamp="2020-05-29T03:43:02" />
    <testcase classname="NovaServers" id="1b707b7f-1d30-489d-9345-17e0de944cfd" name="pause_and_unpause_server" time="102.21" timestamp="2020-05-29T03:44:53" />
    <testcase classname="NovaServers" id="eee0410e-15d9-4370-8b8e-7f5d0cfb5a8f" name="boot_and_migrate_server" time="114.67" timestamp="2020-05-29T03:46:35" />
    <testcase classname="NovaServers" id="5a4a8fc0-ed73-4a9a-a82a-11f7296ab2e1" name="boot_server_and_list_interfaces" time="91.89" timestamp="2020-05-29T03:48:32" />
    <testcase classname="NovaServers" id="a203e899-9865-4867-aea3-6dd2ab1fd21f" name="boot_and_get_console_url" time="94.34" timestamp="2020-05-29T03:50:05" />
    <testcase classname="NovaServers" id="2ede777b-ba6c-48f5-8274-2a6c756a4ad2" name="boot_server_and_attach_interface" time="125.55" timestamp="2020-05-29T03:51:39" />
    <testcase classname="NovaServers" id="7aab5a09-71c2-4f10-9d8f-62d180786420" name="boot_server_attach_volume_and_list_attachments" time="107.95" timestamp="2020-05-29T03:53:46" />
    <testcase classname="NovaServers" id="c8926469-059a-497c-a343-5016f2e7c284" name="boot_server_associate_and_dissociate_floating_ip" time="130.40" timestamp="2020-05-29T03:55:35" />
    <testcase classname="NovaServers" id="b8fe0f69-03bd-40e4-914f-14434e9038cd" name="boot_and_associate_floating_ip" time="120.04" timestamp="2020-05-29T03:57:45" />
    <testcase classname="NovaServerGroups" id="38b1a024-9ef3-4c9c-ae0c-6b02d38f608b" name="create_and_delete_server_group" time="8.14" timestamp="2020-05-29T03:59:46" />
    <testcase classname="NovaServerGroups" id="1f937b4b-bcba-4b20-8d90-fbd6c1b337d5" name="create_and_get_server_group" time="8.93" timestamp="2020-05-29T03:59:56" />
    <testcase classname="NovaServerGroups" id="16b60669-03e0-4ba2-b24e-44c1313a2d10" name="create_and_list_server_groups" time="8.81" timestamp="2020-05-29T04:00:06" />
  </testsuite>
  <testsuite errors="0" failures="0" id="1d70c9a2-77e0-4c83-9442-6edc62533ce9" skipped="0" tests="4" time="34.00" timestamp="2020-05-29T04:00:28">
    <testcase classname="Quotas" id="d3741696-73f9-4b48-94ef-873ca1bea824" name="cinder_update_and_delete" time="5.84" timestamp="2020-05-29T04:00:33" />
    <testcase classname="Quotas" id="d846dfca-74db-45d0-a645-3fb7494e5b21" name="cinder_update" time="6.19" timestamp="2020-05-29T04:00:39" />
    <testcase classname="Quotas" id="d5421931-d883-47b8-b580-f72235c04eae" name="neutron_update" time="5.56" timestamp="2020-05-29T04:00:47" />
    <testcase classname="Quotas" id="f4636161-bdb5-48e6-a20b-c043ff7389dd" name="nova_update" time="6.39" timestamp="2020-05-29T04:00:54" />
  </testsuite>
  <testsuite errors="0" failures="0" id="ba7b1f5f-6c36-4c4f-a95e-8b47d67688c8" skipped="0" tests="5" time="81.00" timestamp="2020-05-29T04:01:11">
    <testcase classname="SwiftObjects" id="c26978b3-b3ba-4065-811d-1eab5b970a9a" name="create_container_and_object_then_list_objects" time="15.56" timestamp="2020-05-29T04:01:14" />
    <testcase classname="SwiftObjects" id="f150a26e-a36d-4fc8-9a6a-133975281a4a" name="list_objects_in_containers" time="13.56" timestamp="2020-05-29T04:01:31" />
    <testcase classname="SwiftObjects" id="9427d714-3431-4f0c-ba11-92e60510b8ff" name="create_container_and_object_then_download_object" time="19.67" timestamp="2020-05-29T04:01:45" />
    <testcase classname="SwiftObjects" id="72e18c51-f15b-40be-b773-1a720d72a440" name="create_container_and_object_then_delete_all" time="12.26" timestamp="2020-05-29T04:02:05" />
    <testcase classname="SwiftObjects" id="34cfae84-3e1e-4a47-a422-fbef2948209f" name="list_and_download_objects_in_containers" time="11.01" timestamp="2020-05-29T04:02:20" />
  </testsuite>
</testsuites>
